import request from '@/utils/request'

// 创建企业管理-资产处置单
export function createPropertyDeal(data) {
  return request({
    url: '/company/property-deal/create',
    method: 'post',
    data: data
  })
}

// 创建企业管理-资产变动单
export function createPropertyDealChange(data) {
  return request({
    url: '/company/property-deal/createChange',
    method: 'post',
    data: data
  })
}

// 更新企业管理-资产处置单/变动单
export function updatePropertyDeal(data) {
  return request({
    url: '/company/property-deal/update',
    method: 'put',
    data: data
  })
}

// 删除企业管理-资产处置单/变动单
export function deletePropertyDeal(id) {
  return request({
    url: '/company/property-deal/delete?id=' + id,
    method: 'delete'
  })
}

// 获得企业管理-资产处置单/变动单
export function getPropertyDeal(id) {
  return request({
    url: '/company/property-deal/get?id=' + id,
    method: 'get'
  })
}

// 获得企业管理-资产处置单/变动单分页
export function getPropertyDealPage(params) {
  return request({
    url: '/company/property-deal/page',
    method: 'get',
    params
  })
}
// 导出企业管理-资产处置单/变动单 Excel
export function exportPropertyDealExcel(params) {
  return request({
    url: '/company/property-deal/export-excel',
    method: 'get',
    params,
    responseType: 'blob'
  })
}
